> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Create a concept with user-defined ID

PUT https://api.contentful.com/organizations/{organization_id}/taxonomy/concepts/{concept_id}
Content-Type: application/vnd.contentful.management.v1+json

Creates a single taxonomy concept with a user-defined ID.

Reference: https://contentful.com/developers/docs/references/content-management-api/taxonomy/create-a-concept-with-user-defined-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — The ID of the organization.
- `concept_id` (string, required) — The user-defined ID of the concept.

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 201

Created - Resource created successfully

- `map from string to any`

## Examples

**Request**

```json
{
  "altLabels": {
    "en-US": [
      "Couches",
      "Settees"
    ]
  },
  "broader": [
    {
      "sys": {
        "id": "1Py5SjffQHkGGY3dZ02W14"
      }
    }
  ],
  "changeNote": {
    "en-US": ""
  },
  "definition": {
    "en-US": ""
  },
  "editorialNote": {
    "en-US": ""
  },
  "example": {
    "en-US": ""
  },
  "hiddenLabels": {
    "en-US": [
      "Davenports"
    ]
  },
  "historyNote": {
    "en-US": ""
  },
  "notations": [
    "FURN0017B"
  ],
  "note": {
    "en-US": ""
  },
  "prefLabel": {
    "en-US": "Sofas"
  },
  "related": [
    {
      "sys": {
        "id": "5abcWINB018mASQ5Fdrkbj"
      }
    }
  ],
  "scopeNote": {
    "en-US": ""
  },
  "uri": ""
}
```

**Response**

```json
{
  "altLabels": {
    "en-US": [
      "Couches",
      "Settees"
    ]
  },
  "broader": [
    {
      "sys": {
        "id": "1Py5SjffQHkGGY3dZ02W14",
        "linkType": "TaxonomyConcept",
        "type": "Link"
      }
    }
  ],
  "changeNote": {
    "en-US": ""
  },
  "conceptSchemes": [
    {
      "sys": {
        "id": "2s0F7127ajju1AVToMaCtE",
        "linkType": "TaxonomyConceptScheme",
        "type": "Link"
      }
    }
  ],
  "definition": {
    "en-US": ""
  },
  "editorialNote": {
    "en-US": ""
  },
  "example": {
    "en-US": ""
  },
  "hiddenLabels": {
    "en-US": [
      "Davenports"
    ]
  },
  "historyNote": {
    "en-US": ""
  },
  "notations": [
    "FURN0017B"
  ],
  "note": {
    "en-US": ""
  },
  "prefLabel": {
    "en-US": "Sofas"
  },
  "related": [
    {
      "sys": {
        "id": "5abcWINB018mASQ5Fdrkbj",
        "linkType": "TaxonomyConcept",
        "type": "Link"
      }
    }
  ],
  "scopeNote": {
    "en-US": ""
  },
  "sys": {
    "createdAt": "2026-02-21T13:05:27.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "id": "3kZdDUXy9n0l2Xi2cq8TPc",
    "organization": {
      "sys": {
        "id": "0D9ZC8rLWiw6x5qizZGiRs",
        "linkType": "Organization",
        "type": "Link"
      }
    },
    "type": "TaxonomyConcept",
    "updatedAt": "2026-02-21T13:05:27.000Z",
    "updatedBy": {
      "sys": {
        "id": "4FLrUHftHW3v2BLi9fzfjU",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 0
  },
  "uri": ""
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
Please use the Javascript (Plain client) for this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

await client.concept.createWithId({
  organizationId: '<organization_id>',
  conceptId: '<concept_id>',
}, {
  prefLabel: {'en-US': 'Sofas'},
  altLabels: {'en-US': ['Couches', 'Settees']},
  broader: [{id: '<broader_concept_id>'}],
  related: [{id: '<related_concept_id>'}]
})
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
csharp
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

// Create a concept with a specific ID
var concept = new TaxonomyConcept
{
    Name = "Electronics",
    Description = "Electronic products"
};
var conceptWithId = await managementClient.CreateTaxonomyConceptWithId(organizationId, "my-concept-id", concept);
```